LOCALEHELPER(1)

NAME
localehelper - generate locales and set internationalization environment variables

SYNOPSIS
localehelper [-x locale[,locale...]] [intvar=locale[,locale-fallback...]]... [--] commandline

localehelper {-h | --help}

DESCRIPTION

1. Set each internationalization environment variable to locale (possibly falling back to locale-fallback).
2. Unset all other internationalization environment variables.
3. If needed, generate missing locales (in a temporary location).
4. Run the specified command.

OPTIONS

-x locale[,locale...]
    Make sure these locales are available, even when they are not used in any internationalization environment variable.

-h, --help
    Show help message and exit.

ENVIRONMENT
The following environment variables can be set or unset by localehelper:

LANG
    fall-back for LC_* variables

LC_COLLATE
    affects regular expression matching and string collation.

LC_CTYPE
    affects regular expression matching, character classification, conversion, case-sensitive comparison, and wide character functions

LC_MESSAGES
    affects natural-language messages

LC_MONETARY
    affects monetary formatting

LC_NUMERIC
    affects number formatting

LC_TIME
    affects time and date formatting

other LC_*
    may affect other linguistic and cultural aspects

LC_ALL
    overrides all LC_*

LANGUAGE
    affects natural-language messages

The following environment variables may be used by users to announce specific localization requirements to applications, but are left intact by localehelper:

NLSPATH
    message catalogue path for catopen(3)

TEXTDOMAIN
    message catalogue domain for gettext(1)

TEXTDOMAINDIR
    message catalogue directory for gettext(1)

EXAMPLES
 $ localehelper LANG=es_ES.UTF-8 locale mon | xargs -n1 -d ';'
 enero
 febrero
 marzo
 abril
 mayo
 junio
 julio
 agosto
 septiembre
 octubre
 noviembre
 diciembre

SEE ALSO

•   locale(7)

•   POSIX:2004 <https://pubs.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap08.html#tag_08_02>

•   GNU gettext manual <https://www.gnu.org/software/gettext/manual/html_node/Setting-the-POSIX-Locale.html>